@import url("https://use.typekit.net/arv1qzv.css");

body {
    margin: 0;
    background-color: #F8F5EB;
}

h1 {
    font-family: aesthet-nova, serif;
font-size: 80px;
font-style: normal;
font-weight: 400;
line-height: normal;
letter-spacing: -1.92px;
color: #353838;
margin-top: 0;
}

p {
    font-family: fustat, sans-serif;
font-size: 16px;
font-style: normal;
font-weight: 500;
line-height: normal;
color: #353838
}

section.main {
    display: grid;
    grid-template-columns: auto 619px;
    grid-template-rows: 566px auto;
    max-width: 100%;
}

.main-box {
    display: flex;
    flex-direction: column;
    padding: 18px 32px;
    background-image: url(assets/predmety.webp);
    background-size: 17vw;
    background-repeat: no-repeat;
    background-position: right bottom;
    justify-content: space-between;
}

.main-box .logo {
    max-width: 135px;
    width: 100%;
}

.main-box p {
    max-width: 430px;
    width: 100%;
}

.main-photo {
    position: relative;
}

.main-photo .some {
    position: absolute;
    right: 32px;
    top: 23px;
}

.some a {
    text-decoration: none;
    width: 32px;
    height: 32px;
    text-align: center;
    font-family: Fustat;
font-size: 14px;
font-style: normal;
font-weight: 500;
line-height: 36px;
display: inline-block;
border-radius: 50%;
transition: all 400ms ease;
}

.some a:first-child {
    margin-right: 8px;
}

.main-photo .some a {
    color: #353838;
    border: 1px solid #353838;
}

.main-photo .some a:hover {
    background: #CC7E00
}

.main-photo img {
    width: auto;
    max-height: 100%;
}

footer .some a {
    border: 1px solid #F8F5EB;
}

footer .some a:hover {
    border-color: #CC7E00;
    color: #CC7E00;
}



.links {
    background-color: #EEE8D2;
    grid-column: span 2;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 34px 32px 46px;
    grid-column-gap: 64px;
}

.links .box {
    border-left: 1px solid #B7B3A5;
    padding-left: 32px;
    min-height: 272px;
    position: relative;
}

.links .box a {
    text-decoration: none;
    cursor: default;
}

.links .box h2  {
    color: #353838;
font-family: aesthet-nova, serif;
font-size: 32px;
font-style: normal;
font-weight: 400;
line-height: 38px; /* 118.75% */
text-decoration: none;
margin-top: 0;
margin-bottom: 16px;
} 

.links .box p {
    position: absolute;
    bottom: 0;
    margin: 0;
}

span.btn {
    background: #CC7E00;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: block;
    position: relative;
    transition: all 400ms ease;
    cursor: pointer;
}

span.btn:hover {
    background: #975D00
}

span.btn img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto
}


footer {
    background-color: #353838;
    padding: 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer a,
footer * {
    color: #F8F5EB;
    text-decoration: none;
font-family: Fustat;
font-size: 16px;
font-style: normal;
font-weight: 500;
line-height: normal;
}

footer a {
    transition: all 400ms ease;
}

footer a:hover {
    color: #975D00
}

.left,
.right {
    display: flex;
    align-items: center;
    height: 100%;
}

footer .logo {
    max-width: 131px;
    width: 100%;
    padding-right: 56px;
}

.left .kontakt-box {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    grid-column-gap: 32px;
}

.left .kontakt-box span {
    grid-column: span 2;
}

.left .kontakt-box a {
    grid-row: 2;
}

.right {
    gap: 32px
}

.right .legal a {
    padding-right: 32px;
}

.right .legal {
    border-right: 1px solid #70716E;
}


@media screen and (min-width: 1024px) and (max-width: 1170px) {

    h1 {
        font-size: 56px;
    }

    .left .kontakt-box {
        grid-template-columns: auto;
        grid-template-rows: auto auto auto;
    }

    .left .kontakt-box a:nth-child(2) {
        grid-row: 3;
    }

    .right .legal {
        display: flex;
        flex-direction: column;
    }

    .links .box {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap:40px
    }

    .links .box p {
        position: relative;
    }
    
}

@media screen and (max-width: 1023px) {

    h1 {
        margin-top: 32px;
        font-size: 48px;
    }

    .main-photo .some {
        right: auto;
        left: 32px
    }


    section.main {
        grid-template-columns: 100%;
        grid-template-rows: auto auto auto;
    }

    .links {
        grid-column: 1;
        grid-template-columns: 100%;
        grid-template-rows: auto auto auto;
    }

    .main-photo img {
        width: 100%;
    }

    .links .box {
        min-height: 100px;
        padding-left: 0;
        border-left: none;
        border-bottom: 1px solid #B7B3A5;
        padding: 24px 0;
    }

    .links .box:first-child {
        padding-top: 0;
    }

    .links .box:last-child {
        border-bottom: 0;
    }

    .links .box a {
        padding-bottom: 56px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

        .links .box a h2 {
            margin-bottom: 0;
        }

    .links .box p {
        position: relative;
    }

    footer, .left, .right {
        flex-direction: column;
        align-items: start;
    }

    footer {
        gap: 32px;
    }

    .legal,
    .left .kontakt-box {
        display: flex;
        flex-direction: column;
    }

    footer .logo {
        margin-bottom: 24px;
    }

    .right .legal {
        border-right: none;
    }



}